<?php

/**
 * Written by David Smith
 * nopeer@gmail.com
 *
 * For ATNF CSIRO
 *
 **/


// NOTE, we need to include the definitions of all the classes that we might be storing in session
// date before we start the session. Clearly something has changed and php must now be instantiated
// these classes when the session starts, as opposed to when we request them (which im sure used to
// be the case).
require_once 'Classes/Model/ObsSetParameters.php';
require_once 'Classes/Model/ObservationSet.php';
require_once 'Classes/Astro/MJD.php';
require_once 'Classes/Astro/Band.php';
require_once 'Classes/General/Date.php';
require_once 'Classes/Pulsar/ScrunchingParameters.php';




session_start();



require_once './config.php';
require_once GREEN_ZONE_DIR . 'Utils/GreenZone.php';
require_once GREEN_ZONE_DIR . 'Utils/GZ_Logger.php';
require_once 'Forms/ArchivePage.php';
require_once 'Classes/Astro/Band.php';



try
{
  list($month, $year) = split(' ', date( 'n Y' ));
  
  $gz = new GreenZone();
  $gz->SetupLogFile( './logs/' . $year . $month . '.log' );
  $gz->connect( DB_HOST, DB_USER, DB_PASSWD, DB_NAME );
  $gz->EnsureSecure();
  
  // add code here to setup static variables
  Band::SetupStaticData();

  $page = new ArchivePage( $gz );
  $page->ReadForm();
  $page->ProcessActions();
  $page->Display();
  $page = NULL;
}
catch( Exception $e )
{
  $logger = new GZ_Logger();
  $logger->SetLogFilename( './logs/basic_errors.log' );
  $logger->LogMessage( 'none', 'URL access', $e->GetMessage(), $e->GetMethod(), '' );
  echo '<div style="background-color: rgb(255,230,230); border: 1px solid rgb(255,200,200);">';
  echo 'The following unhandled exception was encountered, this error has been logged <br>';
  echo '<b>Description:</b> ' . $e->getMessage() . '<BR>';
  echo '<b>Method:</b> ' . $e->getMethod() . '<BR>';
  echo '</div>';
}


session_write_close();

?>